# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:lts-slim

# This job is required for GitLab Pages
pages:
    stage: deploy
    only:
    - tags
    # Export storybook as a static site (to public)
    script:
      - npm install --no-audit --silent
      - npm update @roadtrip/components
      - npm run build
    # Required artifact for GitLab Pages
    artifacts:
        paths:
          - public